
Infrastructure - Task #2748

Bug # 2743 (Closed): listObjects impl's do not support consistent slicing

update documentation for all slicing methods on count behavior

2012-05-11 17:12 - Rob Nahf

Status: Closed Start date: 2012-05-11

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2012.41-Block.6.1   

Milestone: CCI-1.1 Story Points:  

Product Version: *   

Description

listObjects(),

getLogRecords(),

listSubjects()

I think documentation says that the service may not return the number asked for, but would be improved if it says that even if you

don't get all that you asked for, there may be more to get.  (rather than you asked for 1000, but there were only 359).

Perhaps suggest a "best practice" of checking the start, count, and total in the response to see if there is more to get.

Related issues:

Related to Infrastructure - Story #2643: Finalize architecture docs for release Closed 2012-04-25 2014-09-24

History

#1 - 2012-10-03 15:39 - Chris Jones

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.39-Block.5.4

#2 - 2012-10-08 16:50 - Dave Vieglais

- Status changed from New to In Progress

- Milestone changed from CCI-1.0.0 to CCI-1.1

#3 - 2012-10-08 16:51 - Dave Vieglais

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

#4 - 2012-10-09 16:32 - Dave Vieglais

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

Closed with rev:10314
